<?php
require("includes/check_auth_user.php");
require("includes/dbconnect.php");
include('includes/function.php');

$maindb = "accmast";
$formname = "Other Accounts Print";
$file = "othlst_fr.php";

$admin = $_SESSION["admin_" . $dbname];
$zdb = $_SESSION["zdbyear_" . $dbname];
$myyear = $_SESSION[$myyear];
mysqli_select_db($conn, $zdb);


if (isset($_POST["view"])) {
    $name = $_POST['name'];
    $station = $_POST['station'];

    $namecond = "";
    $stationcond = "";

    if (!empty($name)) {
        $namecond = " AND `accode`='$name' ";
    }
    if (!empty($station)) {
        $stationcond = " AND `station` LIKE '%$station%' ";
    }
    $getpmain = mysqli_query($conn, "SELECT * FROM `$maindb` WHERE `grpcode` > '002' $namecond $stationcond ")or die(mysqli_error($conn));

    include("includes/linkshead.php");
    ?>
    <script src="MyScript/item.js" type="text/javascript"></script>

    <style>
        @media print
        {    
            .no-print, .no-print *
            {
                display: none !important;
            }
        }

    </style>
    </head>
    <body>
        <div class="container">
            <div class="row">
                <div class="col-lg-6">
                    <label class="label-control marg">Date - </label>
                    <label class="label-control marg"><?php Echo Date("d-m-Y"); ?></label>
                </div>
                <div class="col-lg-6">
                    <label class="label-control marg">Print - </label>
                    <label class="label-control marg"><?php Echo $formname; ?></label>
                </div>
                <div class="col-lg-1">
                    <button id='cancel' type="reset" class="btn btn-primary no-print" onclick="window.close()">
                        Go Back
                    </button>
                </div>
            </div>
            <div class="row">
                <div class="col-lg-12 pad">
                    <table class="table table-condensed table-hover">
                        <tr  style="background-color: #78909C">
                            <th>Sr</th>
                            <th>Name</th>
                            <th>Address</th>
                            <th>Country</th>
                            <th>Station</th>
                            <th>Email</th>
                            <th>Pin</th>
                            <th>Tel</th>
                            <!--<th>Fax</th>-->
                        </tr>
                        <?php
                        $ctr = 1;
                        while ($pmain = mysqli_fetch_array($getpmain)) {

                            Echo "<tr>";
                            Echo "<td>$ctr</td>";
                            Echo "<td>$pmain[name]</td>";
                            Echo "<td>$pmain[add1] $pmain[add2] $pmain[add3] </td>";
                            Echo "<td>$pmain[country]</td>";
                            Echo "<td>$pmain[station]</td>";
                            Echo "<td>$pmain[email]</td>";
                            Echo "<td>$pmain[pin]</td>";
                            Echo "<td>$pmain[tel]</td>";
//                            Echo "<td>$pmain[fax]</td>";
                            Echo "</tr>";
                            $ctr++;
                        }
                        ?>
                    </table>
                </div>
            </div>
        </div>

        <?php include("includes/linksfoot.php"); ?>
    </body>
    </html>
    <?
}
if (isset($_POST["excel"])) {
    $name = $_POST['name'];
    $station = $_POST['station'];

    $namecond = "";
    $stationcond = "";

    if (!empty($name)) {
        $namecond = " AND `accode`='$name' ";
    }
    if (!empty($station)) {
        $stationcond = " AND `station` LIKE '%$station%' ";
    }
    $getpmain = mysqli_query($conn, "SELECT * FROM `$maindb` WHERE `grpcode` > '002' $namecond $stationcond ")or die(mysqli_error($conn));

    $contents.="Sr.,Name,Address,Country,Station,Email,Pin,Tel\n";

    $ctr = 1;
    while ($pmain = mysqli_fetch_array($getpmain)) {
        $pname = $pmain['name'];
        $paddress = $pmain['add1'] . " " . $pmain['add2'] . " " . $pmain['add3'];
        $pcountry = $pmain['country'];
        $pstation = $pmain['station'];
        $pemail = $pmain['email'];
        $ppin = $pmain['pin'];
        $ptel = $pmain['tel'];

        $contents.=$ctr . ",";
        $contents.=$pname . ",";
        $contents.=$paddress . ",";
        $contents.=$pcountry . ",";
        $contents.=$pstation . ",";
        $contents.=$pemail . ",";
        $contents.=$ppin . ",";
        $contents.=$ptel . "\n";
        $ctr++;
    }
    $contents = strip_tags($contents);

    if ($_POST["dtype"] == 1) {
        header("Content-Disposition: attachment; filename=$formname" . "_Summary" . date('d-m-Y') . ".csv");
        print $contents;
    } else {
        header("Content-Disposition: attachment; filename=$formname" . "_Detail" . date('d-m-Y') . ".csv");
        print $contents;
    }
}
?>